# Scipt base

## Usage
> Note: This is a batch processing script. If you perform PDF processing with it, prior you should check the last scan in xPDFsuite to finde some good parameters. 
Also note that in order to fit the PDF you need to use one of the diffpy scripts provided afterwards.

The FlyPDF code is used to plot I(Q) data and generate a baclkground subtracted PDF from it. It is possible to view the background subtracted I(Q) from a single file or from a howl batch as a 2D data map or 1D overlayed plot.
Different referecnes can be loaded from .cif files and plotted against single files in the batch. Temperature files can be given and inforamtion can be plotted alog with the I(Q) or PDF data. 
Background subtraction can be held simple by an averaged file and a given factor or a dynamicly calculated factor. It is also possible to subtracted from temperature dependend background, even if sample is averaged. 
The same averaging will be supplied to the background and temperature ramps will be matched automatically as fitting as possible.


## Support
For more help or further inforamtions contact me at:
tgroene@physnet.uni-hamburg.de

## Authors and acknowledgment
Developed by Tjark Gröne: tgroene@physnet.uni-hamburg.de


Part of this code uses PDFgetX3 from Bilinge group of the University of Colombia. Inorder to use it get your license here:
[Diffpy: PDFgetX3](https://www.diffpy.org/products/pdfgetx.html)


<img height="90" style="height:90px!important;margin-top:10px;margin-left:3px;vertical-align:text-top;" src="https://assets.rrz.uni-hamburg.de/assets/uhh-logo-16dab7756eecc70a7649a242498868c6bb37872e5eae6023b38026faeef923c3.svg" alt="">

## License
<p><a href="https://gitlab.rrz.uni-hamburg.de/koziej-lab/pair-distribution-function/pdf/flypdf">FlyPDF</a> © 2025 by <a rel="cc:attributionURL dct:creator" property="cc:attributionName" href="https://gitlab.rrz.uni-hamburg.de/bav1448">Tjark Gröne</a> associated with the University of Hamburg is licensed under <a href="https://www.gnu.org/licenses/agpl-3.0.de.html" target="_blank" rel="license noopener noreferrer" style="display:inline-block;">GNU AGPLv3 <img height="14" style="height:22px!important;margin-left:30px;vertical-align:text-bottom;" src="https://www.gnu.org/graphics/agplv3-155x51.png" alt=""></a></p> 